//
// GameX (Release 2 - Vectors / Matricies / CameraX)
// Main Template Program
// 
// Copyright (C) 2002 Rama C. Hoetzlein
// 
// This software is released under the GameX GNU GPL 
// Open Source Liscense. See the GameX documentation included
// with this source code for terms of modification, 
// distribution and re-release. 
// 
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <time.h>
#include <process.h>

#define GAMEX_MAIN
#define GAMEX_WINDOWS
#define GAMEX_XSIZE		800
#define GAMEX_YSIZE		400

#include "gamex.hpp"

int done, frame;
CameraX cam;

// GameX Initialize function
void initialize (void)
{
	cam.SetWindow (0, 0, GAMEX_XSIZE, GAMEX_YSIZE);			// Initialize Camera
}

// GameX Main function 
void main (void)
{	
	// Set Camera Angle using current 'frame'
	cam.SetFromAngles (Vector3DF(frame, 30, 100));

	// Drawing Begins	
	GameX.DrawOpen ();	
		GameX.DrawClear (GAMEX_YSIZE);		
		// Do 3D Projection & Drawing HERE
		// ..
		// ..
	GameX.DrawClose ();
	// Drawing Ends

	frame++;		
	if (GameX.GetKey()==27) done=1;
	GameX.ViewUpdate ();
}
